const self = globalThis as unknown as SharedWorkerGlobalScope;

self.onconnect = function (e) {
  var port = e.ports[0];

  port.onmessage = function (e) {
    console.log(`Worker received ${JSON.stringify(e)}`);
    const { id, payload } = e.data;
    port.postMessage({ id: id, payload: `${JSON.stringify(payload)} pong` });
  };
};

export default self;
